/* ... ... ... <<< camac.h >>> ... ... ... */
#define DC_INITIAL     10
#define DC_Z           11
#define DC_C           12
#define DC_I           13
#define DC_L_P         14
#define DC_L_E         15
#define DC_CYCLE       16

#define DC_INTTST      30    /* test of interrupt routine       */
#define DC_INTON       31    /* enable CAMAC interrupt          */
#define DC_INTOFF      32    /* disable CAMAC interrupt         */
#define DC_INTCLR      33    /* clear variables for interrupt   */
#define DC_INTCNT      34    /* read nember of interrupt events */
#define DC_INTLOS      35    /* read number of lost events      */
#define DC_INTACT      36    /* activate acquition after scaler clear*/
#define DC_INTBUF      37 
#define DC_INTEOF      40    /* close the file                  */
#define DC_INTOPN      41    /* open  the file                  */
/*-------  added by N.IWASA --------*/
#define DC_WRITE_PORT1 51
#define DC_WRITE_PORT2 52
#define DC_WRITE_PORT3 53
#define DC_WRITE_PORT4 54
#define DC_READ_PORT1  56
#define DC_READ_PORT2  57
#define DC_READ_PORT3  58

#define DC_TEST1  61
#define DC_TEST2  62
#define DC_TEST3  63
/* CAMAC DATA structure */

typedef struct {
  char onoff;
} DCI;

typedef struct {
  long lamp;
} DCLP;

typedef struct {
  char  lame;
} DCLE;

typedef struct {
  char n , f, a, stat; long data;
} DCCycle;

typedef union {
  DCI        dci;
  DCLP       dclp;
  DCLE       dcle;
  DCCycle    dccycle;
} DCD;

#if DSS_UNIX
/* ... ... ... <<<  f77 index  */
#define camacfinitialize camacfinitialize_
#define camacfconnect    camacfconnect_   
#define camacfdisconnect camacfdisconnect_   
#define camacfexit       camacfexit_
#define camacfz          camacfz_
#define camacfi          camacfi_ 
#define camacfc          camacfc_
#define camacflam        camacflam_
#define camacflamp       camacflamp_
#define camacfcycle      camacfcycle_
#define camacfloop       camacfloop_
#define camacflist       camacflist_
#define camacfadc        camacfadc_
#define camacfhmr        camacfhmr_
#define camacfevr        camacfevr_
#define isomedo          isomedo_
#define camacfpurge      camacfpurge_
/*  f77 index >>> ... ... ... */
#endif
