#include <fcntl.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <unistd.h>
#include <stdio.h>
#include "camac.h"

#define WAIT 10000L

main(int argc, char *argv[])
{
  int fd, i, j;
  long arg;
  DCCycle dcc;
  char line[80];

  printf("open      : %d\n", (fd = open("/dev/PCIcc7700", O_RDWR)) );

  while(1){
    printf("command (or station Number) %% ");
    if(gets(line)==EOF)break;
    for(i=0;i<80;i++)
      if(isalnum(line[i])){
	if     (line[i]>='0' && line[i]<='9'){
	  dcc.n  = atoi(line);
	  printf("F= ");
	  if(gets(line)==EOF)goto L1;
	  dcc.f  = atoi(line);
	  printf("A= ");
	  if(gets(line)==EOF)goto L1;
	  dcc.a  = atoi(line);
	  if(dcc.f>=16&&dcc.f<24){
	    printf("data= ");
	    if(gets(line)==EOF)goto L1;
	    dcc.data = atoi(line);
	  }
	  printf("n=%d f=%d a=%d data=%d\n",dcc.n,dcc.f,dcc.a,dcc.data);
	  ioctl(fd, DC_CYCLE, &dcc);
	  if(dcc.f>=0&&dcc.f<8){
	    printf("data=%x\n",dcc.data);
	  }
	}	  
	else if(line[i]=='Z'||line[i]=='z') ioctl(fd, DC_Z, 0);
	else if(line[i]=='C'||line[i]=='c') ioctl(fd, DC_C, 0);
	else if(line[i]=='R'||line[i]=='r') ioctl(fd, DC_I, 0);
	else if(line[i]=='I'||line[i]=='i') ioctl(fd, DC_I, 1);
	else if(line[i]=='B'||line[i]=='b') {
	  ioctl(fd, DC_L_P, &arg);
	  printf("LAM=%8x\n",arg);
	}
	else if(line[i]=='L'||line[i]=='l') {
	  ioctl(fd, DC_L_E, &arg);
	  printf("LAM=%8x\n",arg);
	}
	printf("REG1=%x\t",ioctl(fd, DC_READ_PORT1, 0));
	printf("REG2=%x\t",ioctl(fd, DC_READ_PORT2, 0));
	printf("REG3=%x\n",ioctl(fd, DC_READ_PORT3, 0));

	goto L1;
      }
  L1:
  }
}	




























