/*****************************************************************************/
/*                                                                           */
/*   Event Display Program                          Version 1.0.0            */
/*                     for Linux-2.0.31 (slockware)                          */
/*                                                                           */
/*         Produced on 3 Dec 1997 by  Naohito Iwasa                          */
/*                                                                           */
/*****************************************************************************/
#include <sys/ipc.h>
#include <sys/shm.h>
#include <stdio.h>
#include <signal.h>
#include "dma_control.h"

analyze(unsigned short int buffer[])
{
  int i;
  for(i=0;i<buffer[0];i++)
    printf("%4x ",buffer[i]);
  printf("\n");
}
void f()
{}
int main()
{
  int  analys_block,pos;
  struct SHM_CC7700 *shmp;
  int shmid;

  if ((shmid = shmget(SHMKEY, sizeof(struct SHM_CC7700), 0600)) 
      == -1)
    {puts("STATUS: Cannot create shared memory"); exit(2);}
  shmp = (struct SHM_CC7700 *)shmat(shmid, 0, 0);

 L0:
  analys_block=shmp->block_no-1;
  pos=shmp->buffer[analys_block%MAX_BLOCK].data[3];
  while(1){
    while(1){
      if(shmp->block_no<analys_block+1)goto L0;
      if(shmp->block_no>analys_block+1)break;
      if(pos < shmp->buffer[analys_block%MAX_BLOCK].data[3])break;
      usleep(100000);
    }
  L1:
    if(shmp->block_no > analys_block + MAX_BLOCK){
      analys_block=(shmp->block_no-MAX_BLOCK+1);
      pos=4;
    }
    if(shmp->buffer[analys_block%MAX_BLOCK].data[pos]==0xffff){
      analys_block++;pos=4;
      continue;
    }
    if(shmp->buffer[analys_block%MAX_BLOCK].data[pos]==DELIM){
      analyze(&shmp->buffer[analys_block%MAX_BLOCK].data[pos+1]);
      pos+=shmp->buffer[analys_block%MAX_BLOCK].data[pos+1]+1;
    }
    else pos++;
  }
}

