/*****************************************************************************/
/*                                                                           */
/*   Offline Analyzer Program                       Version 1.0.0            */
/*                     for Linux-2.0.33 (slockware)                          */
/*                                                                           */
/*         Produced on 3 Dec 1997 by  Naohito Iwasa                          */
/*                                                                           */
/*****************************************************************************/
#include <stdio.h>
#include <fcntl.h>
#include "dma_control.h"
#include "/cern/pro/include/cfortran/cfortran.h"
#include "/cern/pro/include/cfortran/hbook.h"

static unsigned short int buffer[BLOCK_LENGTH];
static unsigned char *cbuffer;

int main(int argc,char *argv[])
{
  char filename[256];
  int fd,blockno=0,pos,i;
  
  cbuffer=(char *)buffer;

  if(argc>1){
    if((fd=open(argv[1],O_RDONLY))>0)goto L15;
  }
 L1:
  while(1){
    printf("listmode filename \% ");
    gets(filename);
    if((fd=open(filename,O_RDONLY))>0)break;
  }
  L15:
  while(read(fd,(char *)buffer,BLOCK_LENGTH*sizeof(short))>0){
  L2:
    blockno++;
    if(buffer[0]==0){  /* data block */
      printf("**************** DATA ** BLOCK %5d ************************\n",
	     blockno);
      pos=4;
      while(pos<BLOCK_LENGTH && buffer[pos]!=0xffff){
	if(buffer[pos]==DELIM){
	  analyze_("OFFLINE",&buffer[pos+1]);
	  pos+=buffer[pos+1]+1;
	}
	else  pos++;
      }
    }
    else if(buffer[0]==1){  /* header block */
      printf("**************** HEADER ** BLOCK %5d ************************\n",
	     blockno);
      printf("%s\n",&cbuffer[0x14]);
      printf("%s\n",&cbuffer[0x64]);
    }
    else if(buffer[0]==2){  /* ender block */
      printf("**************** ENDER ** BLOCK %5d ************************\n",
	     blockno);
      printf("%s\n",&cbuffer[0x14]);
      printf("%s\n",&cbuffer[0x64]);
      if(read(fd,(char *)buffer,BLOCK_LENGTH*sizeof(short))>0){
	printf("The file has additional blocks.  ");
      L8:
	printf("Analyze them (Y/N)? ");
	gets(filename);
	sscanf(filename,"%c",&i);
	if(i=='Y'||i=='y')goto L2;
	if(i!='N'&&i!='n')goto L8;
      }
    }
  }
L9:
  printf("append (Y/N)?");
  gets(filename);
  sscanf(filename,"%c",&i);
  if(i=='Y'||i=='y')goto L1;
  if(i!='N'&&i!='n')goto L9;
}
